IF EXISTS (SELECT * FROM dbo.sysobjects where name =
     'WybieraniePracownikow' AND user_name(uid) = 'dbo')
     DROP PROCEDURE [dbo].[WybieraniePracownikow];
GO
CREATE PROCEDURE [dbo].[WybieraniePracownikow]
AS
  SET NOCOUNT ON;
SELECT Imie, Nazwisko, IDDzialu, Pensja, ID FROM
    tblPracownicy;
GO
IF EXISTS (SELECT * FROM dbo.sysobjects where name = 'WstawianiePracownika'
     AND user_name(uid) = 'dbo')
     DROP PROCEDURE [dbo].[WstawianiePracownika];
GO
CREATE PROCEDURE [dbo].[WstawianiePracownika]
(
   @Imie varchar (50),
   @Nazwisko varchar (70),
   @IDDzialu int,
   @Pensja money
)
AS
  SET NOCOUNT OFF;
INSERT INTO tblPracownicy(Imie, Nazwisko, IDDzialu, Pensja)
     VALUES (@Imie, @Nazwisko, @IDDzialu, @Pensja);
GO
IF EXISTS (SELECT * FROM dbo.sysobjects where name = 'AktualizacjaPracownika'
     AND user_name(uid) = 'dbo')
     DROP PROCEDURE [dbo].[AktualizacjaPracownika];
GO
CREATE PROCEDURE [dbo].[AktualizacjaPracownika]
(
   @Imie varchar (50),
   @Nazwisko varchar (70),
   @IDDzialu int,
   @Pensja money,
   @Pierwotny_ID int
)
AS
    SET NOCOUNT OFF;
UPDATE tblPracownicy SET Imie=@Imie, Nazwisko=@Nazwisko,
    IDDzialu=@IDDzialu, Pensja=@Pensja
WHERE (ID = @Pierwotny_ID);
GO
IF EXISTS (SELECT * FROM dbo.sysobjects where name = 'UsuwaniePracownika'
     AND user_name(uid) = 'dbo')
     DROP PROCEDURE [dbo].[UsuwaniePracownika];
GO
CREATE PROCEDURE [dbo].[UsuwaniePracownika]
(
   @Pierwotny_ID
)
AS
  SET NOCOUNT OFF;
DELETE FROM tblPracownicy WHERE (ID = @Pierwotny_ID);
GO
